#include "mbed.h"
#include "TSISensor.h"


Serial pc(USBTX, USBRX);
PwmOut red(LED_RED), green(LED_GREEN),blue(LED_BLUE);
TSISensor tsi;

Ticker t;

void ispis()
{
    pc.printf("\nTSI: %f",tsi.readPercentage());
}

float brightness = 0.0;
int main() {
    int brojac=0;
    red=1.; green=1.; blue=1.;
    pc.printf("Unesi XDD ili P ili Z:");
    float svjetlo;
    while(1) {
        char a;
        a=pc.getc();
        
        if(a=='R')
        {
            char b=pc.getc();
            if(b>='0' && b<='9')
            {
                svjetlo=(b-48)*10;
                char c=pc.getc();
                if(c>='0' && c<='9')
                {
                     red=1; blue=1; green=1;
                     svjetlo+=c-48;
                     svjetlo=svjetlo/100.;
                     svjetlo=1-svjetlo;
                     red=svjetlo;
                }
                
            }
        }
        
        if(a=='G')
        {
            char b=pc.getc();
            if(b>='0' && b<='9')
            {
                svjetlo=(b-48)*10;
                char c=pc.getc();
                if(c>='0' && c<='9')
                {
                     red=1; blue=1; green=1;
                     svjetlo+=c-48;
                     svjetlo=svjetlo/100.;
                     svjetlo=1-svjetlo;
                     green=svjetlo;
                }
                
            }
        }
        
        if(a=='B')
        {
            
            char b=pc.getc();
            if(b>='0' && b<='9')
            {
                svjetlo=(b-48)*10;
                char c=pc.getc();
                if(c>='0' && c<='9')
                {
                     red=1; blue=1; green=1;
                     svjetlo+=c-48;
                     svjetlo=svjetlo/100.;
                     svjetlo=1-svjetlo;
                     blue=svjetlo;
                }
                
            }
        }
        
        
         if(a=='P')
        {
            red=1; blue=1; green=1;
            t.attach(&ispis,1);
        }

        if(a=='Z')
        {
            red=1; blue=1; green=1;
            t.detach();
        }
        
        
    }
}
